Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | List of all members
Botan::Lookup_Error Class Reference

`#include <exceptn.h>`

Inheritance diagram for Botan::Lookup_Error:

## Public Member Functions
virtual int | error_code () const noexcept
ErrorType | error_type () const noexcept override
| Lookup_Error (const std::string &err)
| Lookup_Error (const std::string &type, const std::string &algo, const std::string &provider)
const char * | what () const noexcept override

## Detailed Description

A request was made for some kind of object which could not be located

Definition at line 247 of file exceptn.h.

## Constructor & Destructor Documentation

## ◆ Lookup_Error() [1/2]

Botan::Lookup_Error::Lookup_Error | ( | const std::string & | err | ) |
| inline explicit

Definition at line 250 of file exceptn.h.

250: Exception(err) {}
Botan::Exception::Exception
Exception(const std::string &msg)
Definition: exceptn.cpp:73

## ◆ Lookup_Error() [2/2]

Botan::Lookup_Error::Lookup_Error | ( | const std::string & | type,
|  | const std::string & | algo,
|  | const std::string & | provider
| ) |  |

Definition at line 95 of file exceptn.cpp.

97 :
98 Exception("Unavailable " + type + " " + algo +
99 (provider.empty() ? std::string("") : (" for provider " + provider)))
100 {}
type
MechanismType type
Definition: p11_mechanism.cpp:44

## Member Function Documentation

## ◆ error_code()

virtual int Botan::Exception::error_code | ( |  | ) | const
| inline virtual noexcept inherited

Return an error code associated with this exception, or otherwise 0.

The domain of this error varies depending on the source, for example on POSIX systems it might be errno, while on a Windows system it might be the result of GetLastError or WSAGetLastError. For error_type() is OpenSSLError, it will (if nonzero) be an OpenSSL error code from ERR_get_error.

Reimplemented in Botan::Compression_Error, Botan_FFI::FFI_Error, Botan::CommonCrypto_Error, Botan::PKCS11::PKCS11_ReturnError, Botan::TLS::TLS_Exception, Botan::SQL_Database::SQL_DB_Error, and Botan::System_Error.

Definition at line 112 of file exceptn.h.

112{ return 0; }

## ◆ error_type()

ErrorType Botan::Lookup_Error::error_type | ( |  | ) | const
| inline override virtual noexcept

Return the "type" of error which occurred.

Reimplemented from Botan::Exception.

Definition at line 256 of file exceptn.h.

256{ return ErrorType::LookupError; }
Botan::ErrorType::LookupError
@ LookupError

References Botan::LookupError.

## ◆ what()

const char * Botan::Exception::what | ( |  | ) | const
| inline override noexcept inherited

Return a descriptive string which is hopefully comprehensible to a developer. It will likely not be useful for an end user.

The string has no particular format, and the content of exception messages may change from release to release. Thus the main use of this function is for logging or debugging.

Definition at line 96 of file exceptn.h.

96{ return m_msg.c_str(); }

Referenced by Botan::TLS::Client_Key_Exchange::Client_Key_Exchange(), and Botan_FFI::ffi_guard_thunk().

The documentation for this class was generated from the following files:

- src/lib/utils/exceptn.h
- src/lib/utils/exceptn.cpp